Index: trunk/SRC/ToBeReviewed/COULEURS/color24.pro
===================================================================
--- trunk/SRC/ToBeReviewed/COULEURS/color24.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/COULEURS/color24.pro	(revision 114)
@@ -46,4 +46,7 @@
 
 FUNCTION COLOR24, number
+;
+  compile_opt idl2, strictarrsubs
+;
 
    ; This FUNCTION accepts a [red, green, blue] triple that
@@ -69,6 +72,6 @@
 num24bit = 0L
 
-FOR j=0,2 DO num24bit = num24bit + ((number(j) MOD 16) * base16(0,j)) + $
-   (Fix(number(j)/16) * base16(1,j))
+FOR j=0,2 DO num24bit = num24bit + ((number[j] MOD 16) * base16[0,j]) + $
+   (Fix(number[j]/16) * base16[1,j])
    
 RETURN, num24bit
Index: trunk/SRC/ToBeReviewed/COULEURS/colorbar.pro
===================================================================
--- trunk/SRC/ToBeReviewed/COULEURS/colorbar.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/COULEURS/colorbar.pro	(revision 114)
@@ -121,4 +121,7 @@
               PSCOLOR=pscolor, CB_TITLE=cb_title, VERTICAL=vertical, TOP=top, RIGHT=right, CB_LOG = CB_log, _extra = ex
                                 ; Is the PostScript device selected?
+;
+  compile_opt idl2, strictarrsubs
+;
 
    postScriptDevice = (!D.NAME EQ 'PS')
@@ -207,11 +210,11 @@
                                 ; Get starting locations in DEVICE coordinates.
 
-   xstart = position(0) * !D.X_VSIZE
-   ystart = position(1) * !D.Y_VSIZE
+   xstart = position[0] * !D.X_VSIZE
+   ystart = position[1] * !D.Y_VSIZE
 
                                 ; Get the size of the bar in DEVICE coordinates.
 
-   xsize = (position(2) - position(0)) * !D.X_VSIZE
-   ysize = (position(3) - position(1)) * !D.Y_VSIZE
+   xsize = (position[2] - position[0]) * !D.X_VSIZE
+   ysize = (position[3] - position[1]) * !D.Y_VSIZE
 
                                 ; For PostScript output only, draw the annotation in !P.COLOR
Index: trunk/SRC/ToBeReviewed/COULEURS/getcolor.pro
===================================================================
--- trunk/SRC/ToBeReviewed/COULEURS/getcolor.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/COULEURS/getcolor.pro	(revision 114)
@@ -181,4 +181,7 @@
 
 FUNCTION COLOR24, number
+;
+  compile_opt idl2, strictarrsubs
+;
 
    ; This FUNCTION accepts a [red, green, blue] triple that
@@ -204,6 +207,6 @@
 num24bit = 0L
 
-FOR j=0,2 DO num24bit = num24bit + ((number(j) MOD 16) * base16(0,j)) + $
-   (Fix(number(j)/16) * base16(1,j))
+FOR j=0,2 DO num24bit = num24bit + ((number[j] MOD 16) * base16[0,j]) + $
+   (Fix(number[j]/16) * base16[1,j])
 
 RETURN, num24bit
@@ -214,4 +217,7 @@
 FUNCTION GETCOLOR, thisColor, index, TRUE=truecolor, $
    NAMES=colornames, LOAD=load, START=start
+;
+  compile_opt idl2, strictarrsubs
+;
 
    ; Set up the color vectors.
@@ -315,5 +321,5 @@
 
 varInfo = SIZE(thisColor)
-IF varInfo(varInfo(0) + 1) NE 7 THEN $
+IF varInfo[varInfo[0] + 1] NE 7 THEN $
    MESSAGE, 'The color name must be a string.'
 thisColor = STRUPCASE(thisColor)
@@ -326,5 +332,5 @@
    ; set the index to a YELLOW color, and continue.
 
-IF colorIndex(0) LT 0 THEN BEGIN
+IF colorIndex[0] LT 0 THEN BEGIN
    MESSAGE, "Can't find color. Returning YELLOW.", /INFORMATIONAL
    colorIndex = 3
@@ -333,7 +339,7 @@
    ; Get the color triple.
 
-r = rvalue(colorIndex)
-g = gvalue(colorIndex)
-b = bvalue(colorIndex)
+r = rvalue[colorIndex]
+g = gvalue[colorIndex]
+b = bvalue[colorIndex]
 returnColor = REFORM([r, g, b], 1, 3)
 
Index: trunk/SRC/ToBeReviewed/COULEURS/lct.pro
===================================================================
--- trunk/SRC/ToBeReviewed/COULEURS/lct.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/COULEURS/lct.pro	(revision 114)
@@ -35,4 +35,7 @@
 ;------------------------------------------------------------
 PRO lct, numero, GET_NAME = get_name, LIGHTNESS = Lightness, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ; le mot cle file est passe par l''intermediere de EXTRA?
Index: trunk/SRC/ToBeReviewed/COULEURS/newpalette.pro
===================================================================
--- trunk/SRC/ToBeReviewed/COULEURS/newpalette.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/COULEURS/newpalette.pro	(revision 114)
@@ -40,4 +40,7 @@
 ; le mot cle file est passe par l''intermediere de EXTRA?
 ; definition du mon du fichier qui contient les palettes de couleur
+;
+  compile_opt idl2, strictarrsubs
+;
    if n_elements(ex) NE 0 then BEGIN 
       if (where(tag_names(ex) EQ 'FILE'))[0] NE -1 then nompal=ex.FILE ELSE nompal='palette.tbl'
Index: trunk/SRC/ToBeReviewed/COULEURS/palit.pro
===================================================================
--- trunk/SRC/ToBeReviewed/COULEURS/palit.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/COULEURS/palit.pro	(revision 114)
@@ -8,4 +8,7 @@
 ;-
 PRO palit, coef, red, green, blue
+;
+  compile_opt idl2, strictarrsubs
+;
    IF n_elements(coef) EQ 0 THEN coef = 0.5
    IF n_elements(red) EQ 0 THEN tvlct, red, green, blue, /get
Index: trunk/SRC/ToBeReviewed/COULEURS/xlct.pro
===================================================================
--- trunk/SRC/ToBeReviewed/COULEURS/xlct.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/COULEURS/xlct.pro	(revision 114)
@@ -6,4 +6,7 @@
 PRO XLCT_PSAVE			;Save/Restore our plotting state.
 ;  Swaps our state with the current state each time its called.
+;
+  compile_opt idl2, strictarrsubs
+;
 
 COMMON xlct_com, r0, g0, b0, tfun, state, filename, cps, psave, pnt, $
@@ -25,4 +28,7 @@
 
 pro xlct_alert_caller
+;
+  compile_opt idl2, strictarrsubs
+;
 COMMON xlct_com, r0, g0, b0, tfun, state, filename, cps, psave, pnt, $
 	top, bot, silent, chop, lock, g_lbl, vbot, vtop, g_slider, $
@@ -51,4 +57,7 @@
 ; Redraw the ramp image.
 PRO xlct_show
+;
+  compile_opt idl2, strictarrsubs
+;
 COMMON xlct_com, r0, g0, b0, tfun, state, filename, cps, psave, pnt, $
 	top, bot, silent, chop, lock, g_lbl, vbot, vtop, g_slider, $
@@ -68,4 +77,7 @@
 
 PRO xlct_draw_cps, i, c
+;
+  compile_opt idl2, strictarrsubs
+;
 COMMON colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr
 COMMON xlct_com, r0, g0, b0, tfun, state, filename, cps, psave, pnt, $
@@ -86,4 +98,7 @@
 
 PRO xlct_transfer, UPDATE=update
+;
+  compile_opt idl2, strictarrsubs
+;
 COMMON colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr
 COMMON xlct_com, r0, g0, b0, tfun, state, filename, cps, psave, pnt, $
@@ -115,4 +130,7 @@
 
 PRO xlct_event, event
+;
+  compile_opt idl2, strictarrsubs
+;
 COMMON colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr
 COMMON xlct_com, r0, g0, b0, tfun, state, filename, cps, psave, pnt, $
@@ -430,4 +448,7 @@
           MODAL=modal, BLOCK=block, UPDATECALLBACK=updt_cb_name, $
           UPDATECBDATA=updt_cb_data
+;
+  compile_opt idl2, strictarrsubs
+;
 
    COMMON colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr
Index: trunk/SRC/ToBeReviewed/COULEURS/xpal.pro
===================================================================
--- trunk/SRC/ToBeReviewed/COULEURS/xpal.pro	(revision 97)
+++ trunk/SRC/ToBeReviewed/COULEURS/xpal.pro	(revision 114)
@@ -157,4 +157,7 @@
 ; color maps and set !P appropriately. Returns 1 if the colors changed,
 ; 0 otherwise.
+;
+  compile_opt idl2, strictarrsubs
+;
   common xp_com, xpw, state
 
@@ -176,4 +179,7 @@
 
 pro XP_ALERT_CALLER
+;
+  compile_opt idl2, strictarrsubs
+;
 
   common xp_com, xpw, state
@@ -200,4 +206,7 @@
   ; For visuals with static colormaps, update the graphics
   ; after a change by XLOADCT.
+;
+  compile_opt idl2, strictarrsubs
+;
   if ((COLORMAP_APPLICABLE(redrawRequired) GT 0) and $
         (redrawRequired GT 0)) then begin
@@ -208,4 +217,7 @@
 
 pro XP_REDRAW
+;
+  compile_opt idl2, strictarrsubs
+;
 
   common xp_com, xpw, state
@@ -227,4 +239,7 @@
 ;       - 'G': Draw the data part of the Green plot
 ;       - 'B': Draw the data part of the Blue plot
+;
+  compile_opt idl2, strictarrsubs
+;
 
   common xp_com, xpw, state
@@ -303,4 +318,7 @@
 ;       - 'G': ...
 ;       - 'B': ...
+;
+  compile_opt idl2, strictarrsubs
+;
   common xp_com, xpw, state
   common colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr
@@ -348,4 +366,7 @@
 
 pro XP_BUTTON_EVENT, event
+;
+  compile_opt idl2, strictarrsubs
+;
 
    common xp_com, xpw, state
@@ -461,4 +482,7 @@
 
 PRO xp_button_event_event, ev
+;
+  compile_opt idl2, strictarrsubs
+;
 COMMON basecommon,  bas212, bas222,  bas232
   WIDGET_CONTROL, ev.id,  GET_UVALUE = uval
@@ -485,4 +509,7 @@
 
 pro XP_EVENT, event
+;
+  compile_opt idl2, strictarrsubs
+;
 
    common xp_com, xpw, state
@@ -532,4 +559,7 @@
 pro XPAL, group=group, BLOCK=block, UPDATECALLBACK=updt_cb_name, $
         UPDATECBDATA=updt_cb_data
+;
+  compile_opt idl2, strictarrsubs
+;
 
 
